// -------------------------------------------------------------------------------------
// BarChartInspector.m
// Martin D. Flynn, NeXT Computer, Inc.
// -------------------------------------------------------------------------------------

#import <apps/InterfaceBuilder.h>

// -------------------------------------------------------------------------------------

@interface BarChartInspector : IBInspector
{

	id					drawInColorBtn;

	id					backgroundCGBox;
    id                  backgroundColorWell;
    id                  backgroundGrayMatrix;
	id					backgroundTransSwitch;

	id					chartCGBox;
	id					dftChartColorWell;
	id					dftChartGrayMatrix;
	
	id					dftChartTypeMatrix;

	id					inspectorBox;
	NXRect				inspectorFrame;
	
	id					generalBox;

	id					xAxisBox;
	id					xGridCGBox;
    id                  xGridGrayMatrix;
    id                  xGridColorWell;
	id					xGridDraw;
	id					xDataRangeLo;
	id					xDataRangeHi;
	id					xLogScaling;
	id					xTickIncrement;
	id					xShowLabels;
	id					xLabelRotate;
	
	id					yAxisBox;
	id					yGridCGBox;
    id                  yGridGrayMatrix;
    id                  yGridColorWell;
	id					yGridDraw;
	id					yDataRangeLo;
	id					yDataRangeHi;
	id					yLogScaling;
	id					yTickIncrement;
	id					yShowLabels;
	id					yLabelRotate;

}

// -------------------------------------------------------------------------------------

- init;
- ok:sender;
- revert:sender;

- setBackgroundTransState:sender;
- setXGridDrawState:sender;
- setYGridDrawState:sender;
- setColorGrayMode:sender;
- inspectGeneral:sender;
- inspectXAxis:sender;
- inspectYAxis:sender;

@end
